Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.globes
Class Earth

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.globes.EllipsoidalGlobe
                  gov.nasa.worldwind.globes.Earth

All Implemented Interfaces:
  AVList, Extent, Globe, WWObject, PropertyChangeListener, EventListener

    public class Earth

extends EllipsoidalGlobe

Field Summary
`static double` | `WGS84_EQUATORIAL_RADIUS`
`static double` | `WGS84_ES`
`static double` | `WGS84_POLAR_RADIUS`

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`Earth()`

Method Summary

Methods inherited from class gov.nasa.worldwind.globes.EllipsoidalGlobe
`computePointFromPosition, computePointFromPosition, computePositionFromPoint, computeSurfaceNormalAtPoint, equals, getCenter, getDiameter, getEccentricitySquared, getElevation, getElevationModel, getEquatorialRadius, getExtent, getIntersectionPosition, getMaxElevation, getMaximumRadius, getMinElevation, getPolarRadius, getRadius, getRadiusAt, hashCode, intersect, intersects, intersects, intersects`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### WGS84_EQUATORIAL_RADIUS

    public static final double WGS84_EQUATORIAL_RADIUS

See Also:
  Constant Field Values

### WGS84_ES

    public static final double WGS84_ES

See Also:
  Constant Field Values

### WGS84_POLAR_RADIUS

    public static final double WGS84_POLAR_RADIUS

See Also:
  Constant Field Values

Constructor Detail

### Earth

    public Earth()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD